﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;
using XKRS.Common.Interface;

namespace XKRS.UI.Model.Winform
{
    public partial class MenuFrmBase : DockContent
    {
        public Action<string,IProcess> OnUploadProcess { get; set; }
        public event Action<bool> OnIsLoginChanged;

        public string Id { get; set; } = Guid.NewGuid().ToString();

        public MenuFrmBase()
        {
            InitializeComponent();
        }
        protected virtual bool IsLogin { get; set; }
        public virtual void SetLoginStatus(bool isLogin)
        {
            IsLogin = isLogin;
            OnIsLoginChanged?.Invoke(IsLogin);
        }



    }
}
